<apex:page standardController="Case" showHeader="false" renderAs="pdf"  applyHtmlTag="false">
    <apex:stylesheet value="{!URLFOR($Resource.ATSGeneratePDF_CSS)}"/>
    
    
    <head>
        <title>CUSTOMER COMPLAINT RECORD</title>
        <style>    
        </style>
    </head>
    <body>
        <apex:pageMessages />	
        <table  width="100%" border="1" style="border:1px solid #CCCCCC; font-size:80%;border-collapse:collapse;" >
            <tr>
                <th width="35%" class="headermainfields">ASPHALT, CALGARY</th>
                <th width="35%" class="headermainfields">CUSTOMER COMPLAINT RECORD<br/>QUALITY ASSURANCE</th>
                <th width="15%" class="headermainfields" >FORM No. <br/>Date <br/>Rev <br/></th>
                <th width="15%" class="headermainfields">ASD-007<br/>1.1.2019<br/>0<br/></th>
            </tr>
        </table>
        
        
        <table  width="100%" border="1" style="border:1px solid #CCCCCC; font-size:80%;border-collapse:collapse;" >
            
            <tr>
                <td class="mainfields" colspan="4">CUSTOMER CONTACT INFORMATION</td>
            </tr>
            <tr>
                <td  class="fields">Customer Company Name</td>
                <td  class="outputfields"><apex:outputText value="{!case.Account.Name}" rendered="true" /></td>
                <td  class="fields">COMPLAINT NO.</td>
                <td  class="outputfields"><apex:outputText value="{!case.CaseNumber}" rendered="true" /> </td>
            </tr>
            <tr>
                <td class="fields">Contact Name</td>
                <td class="outputfields"><apex:outputText value="{!case.Contact.Name}" rendered="true" /> </td>
                <td class="outputfields"></td>
                <td class="outputfields"></td>
            </tr>
            <tr>
                <td  class="fields">Contact Phone Number</td>
                <td  class="outputfields"><apex:outputText value="{!case.cpm_Contact_Phone_Number__c}" rendered="true" /> </td>
                <td  class="outputfields"></td>
                <td  class="outputfields"></td>
            </tr>
            <tr>
                <td  class="fields">Contact Email Address</td>
                <td  class="outputfields"><apex:outputText value="{!case.cpm_Email__c}" rendered="true" /></td>
                <td  class="outputfields"></td>
                <td  class="outputfields"></td>
            </tr>
            <tr>
                <td  class="fields">Sales Contract No.</td>
                <td  class="outputfields"><apex:outputText value="{!case.cpm_Sales_Contract_No__c}" rendered="true" /></td>
                <td  class="outputfields"></td>
                <td  class="outputfields"></td>
            </tr>
            <tr>
                <td  class="mainfields" colspan="4" id="bold">DETAILS OF COMPLAINT</td>
            </tr>
            <tr>
                <td  class="big" colspan="4"><apex:outputText value="{!case.Description}" rendered="true" /></td>
            </tr>
        </table>     
        <table  width="100%" border="1" style="border:1px solid #CCCCCC; font-size:80%;border-collapse:collapse;" >
            <tr>
                <td class="fields">Complaint OPENED By:</td>
                <td class="outputfields"><apex:outputText value="{!case.CreatedBy.Name}" rendered="true" /></td>
                <td class="datefields">Date:</td>
                <td class="dateoutputfields">
                  <apex:outputText value="{0, date, MMMM d','  yyyy}" rendered="true">
   					 <apex:param value="{!case.CreatedDate}" /> 
				  </apex:outputText>  
               </td> 
            </tr>
            <tr>
                <td class="mainfields" colspan="4">CORRECTIVE ACTION PLAN (Plan only, no results.)</td>
            </tr> 
            <tr>
                <td class="big" colspan="4"><apex:outputText value="{!case.cpm_Corrective_Action_Plan__c}" rendered="true" /> </td>
            </tr>
            <tr>
                <td class="fields">Corrective Plan Approved by:</td>
                <td class="outputfields"><apex:outputText value="{!case.cpm_Corrective_Plan_Approved_by__r.Name}" rendered="true" /></td>
                <td class="datefields">Date:</td>
                <td class="dateoutputfields">
                
                    <apex:outputText value="{0, date, MMMM d','  yyyy}" rendered="true">
   					 <apex:param value="{!case.cpm_Date_Corrective_Plan_Approved_by__c}" /> 
				  </apex:outputText>  
                
                </td>
            </tr>
            <tr>
                <td class="fields">Action issued to:</td>
                <td class="outputfields"><apex:outputText value="{!case.cpm_Action_Issues_to__r.Name}" rendered="true" /></td>
                <td class="datefields">Date:</td>
                <td class="dateoutputfields">
                
                    <apex:outputText value="{0, date, MMMM d','  yyyy}" rendered="true">
   					 <apex:param value="{!case.cpm_Date_Action_Issues_to__c}" /> 
				  </apex:outputText>
                </td>
            </tr>
            <tr>
                <td class="mainfields" colspan="4">CORRECTIVE ACTION FOLLOW UP (Action taken, results, and resolution)</td>
            </tr>
            <tr>
                <td class="big" colspan="4"><apex:outputText value="{!case.cpm_Corrective_Action_Follow_Up__c}" rendered="true" /></td>
            </tr>
            <tr>
                <td class="fields" colspan="2">CUSTOMER NOTIFIED</td>
                <td class="answer" colspan="2"><apex:outputText value="{!case.cpm_Customer_Notified__c}" rendered="true" /></td>
            </tr>
            <tr>
                <td class="fields" colspan="2">CUSTOMER SATISFIED</td>
                <td class="answer" colspan="2"><apex:outputText value="{!case.cpm_Customer_Satisfied__c}" rendered="true" /></td>
            </tr>
            <tr>
                <td class="fields" colspan="2">FURTHER ACTION REQUIRED</td>
                <td class="answer" colspan="2"><apex:outputText value="{!case.cpm_Further_action_required__c}" rendered="true" /></td>
            </tr>
            <tr>
                <td class="outputfields" colspan="4"><apex:outputText value="{!case.cpm_Details_for_further_action__c}" rendered="true" /></td>
            </tr>
            <tr>
                <td class="fields" colspan="4">REMARKS</td>
            </tr>
            <tr>
                <td class="big" colspan="4"><apex:outputText value="{!case.cpm_remarks__c}" rendered="true" /></td>
            </tr>
            <tr>
                <td class="fields">Final Sign off by Director, Commercial and Industrial</td>
                <td class="outputfields"><apex:outputText value="{!case.cpm_Final_Sign_off__r.Name}" rendered="true" /></td>
                <td class="datefields">Date:</td>
                <td class="dateoutputfields">
                <apex:outputText value="{0, date, MMMM d','  yyyy}" rendered="true">
   					 <apex:param value="{!case.cpm_Final_Sign_Off_Date__c}" /> 
				  </apex:outputText>
                </td>
            </tr>
        </table>
        
    </body>  
    
    
</apex:page>